## gobuntu-artwork-usplash 0.2

=== Makefile ===
build:
	make -C usplash

clean:
	make -C usplash clean

install:
	make -C usplash install

=== usplash/Makefile ===
C=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=
INCLUDES=

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755

usplash-theme-gobuntu.so: throbber_back.png.c.o throbber_fore.png.c.o usplash_1024_768.png.c.o usplash_1365_768_scaled.png.c.o usplash_800_600.png.c.o usplash_640_480.png.c.o usplash-theme-gobuntu.c.o
	$(COMPILE) -shared -o $@ $^
	
%.png.c: %.png
	pngtousplash $< > $@

%.bdf.c: %.bdf
	bdftousplash $< > $@

%.c.o: %.c
	$(COMPILE) -o $@ -c $< -fPIC

install:
	$(INSTALL) -d $(DESTDIR)/usr/lib/usplash
	$(INSTALL_PROGRAM) usplash-theme-gobuntu.so $(DESTDIR)/usr/lib/usplash/usplash-theme-gobuntu.so
clean:
	rm -f *.png.c *.bdf.c *.c.o *.so

=== debian/changelog ===
gobuntu-artwork-usplash (0.2) gutsy; urgency=low

  * Ensure throbber is centred; Change all 'theme' resolution (except
    640x400x4) -> hardcoded 320px wide throbber, to match the pixmap.

 -- Paul Sladen <sladen@ubuntu.com>  Mon, 24 Sep 2007 17:14:09 +0300

gobuntu-artwork-usplash (0.1) gutsy; urgency=low

  * Initial release, modified from xubuntu-artwork.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 29 Aug 2007 23:11:41 -0400

=== debian/control ===
Source: gobuntu-artwork-usplash
Section: misc
Priority: optional
Maintainer: Evan Dandrea <evand@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 5.0.0), libusplash-dev
Standards-Version: 3.7.2

Package: gobuntu-artwork-usplash
Architecture: any 
Depends: ${shlibs:Depends}, initramfs-tools (>= 0.40ubuntu30), usplash (>= 0.4-21)
Description: Gobuntu usplash image
 The startup screen shown on Gobuntu boot.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_MAKE_INSTALL_TARGET := install DESTDIR="$(DEB_DESTDIR)"
DEB_INSTALL_DOCS_ALL :=
